{% extends 'dashboard/dashboard_content.html' %}

{% block title %}
    Delete Paper Pattern
{% endblock %}

{% block rightPane %}

    <div class="x_panel">
        <div class="x_title">
            <h2>
                <i class="fa fa-plus-circle"></i>
                Delete Paper Pattern
            </h2>
            <div class="clearfix"></div>
        </div>

        <div class="x_content">
            <div class="row">

                <div class="alert alert-danger" role="alert" align="center">
                    <ul>
                        <li>
                            <h4><strong>CO Mapping are done for the paper pattern as listed.</strong></h4>
                        </li>
                        <li>
                            <h4><strong>Deleting paper pattern will delete the CO Mapped for the following
                                students </strong></h4>
                        </li>
                    </ul>
                </div>

                <form method="POST">{% csrf_token %}
                    <div class="col-md-offset-8">
                        <input type="hidden" name="confirmDeleteStaffCoursePk" value="{{ staffCoursePk }}">
                        <input type="hidden" name="confirmDeleteUnitTest" value="{{ unitTestNumber }}">
                        <div align="right">
                            <button type="button" class="btn btn-danger btn-lg" data-toggle="modal"
                                    data-target="#myModaldel">
                                Delete
                            </button>
                        </div>
                        <div class="modal fade" id="myModaldel" tabindex="-1"
                             role="dialog"
                             aria-labelledby="conformmodal" aria-hidden="true">
                            <div class="modal-dialog" role="document">
                                <div class="modal-content">
                                    <div class="modal-header">
                                        <button type="button" class="close" data-dismiss="modal"
                                                aria-label="Close">
                                            <span aria-hidden="true">&times;</span>
                                        </button>
                                        <h4 class="modal-title">Delete Confirmation</h4>
                                    </div>
                                    <div class="row">
                                        <div class="col-md-8 col-md-offset-2">
                                            <div>
                                                <h4 style="color: red">
                                                    This will delete all co marks mapped for the pattern. Continue?
                                                </h4>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="modal-footer">
                                        <button type="button" class="btn1 btn1-default"
                                                data-dismiss="modal">Close
                                        </button>
                                        <button type="submit"
                                                class="btn1 btn1-danger">
                                            Confirm Delete
                                        </button>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </form>

                <div>
                    <div class="x_content">
                        <form>
                            <div class="table-responsive">
                                <table class="table table-striped table-condensed table-hover">
                                    <thead>
                                    <tr>
                                        <th rowspan="4">S.No.</th>
                                        <th rowspan="4">Register Number</th>
                                        <th rowspan="4">Student Name</th>
                                    </tr>
                                    <tr>
                                        {% for entry in dictionary.coPatternList %}
                                            <th>Q.{{ entry.userPrespectiveQuestionNumber }}</th>
                                        {% endfor %}
                                    </tr>
                                    <tr>
                                        {% for entry in dictionary.coPatternList %}
                                            <th>{{ entry.coMapped }}</th>
                                        {% endfor %}
                                        <th>Total</th>
                                    </tr>
                                    <tr>
                                        {% for entry in dictionary.coPatternList %}
                                            <th>{{ entry.maximumMark }}M</th>
                                        {% endfor %}
                                        <th>Marks</th>
                                    </tr>
                                    </thead>
                                    <tbody>
                                    {% for entry in dictionary.coMarkList %}
                                        <tr>
                                            <td>{{ forloop.counter }}</td>
                                            <td>{{ entry.registerNumber }}</td>
                                            <td>{{ entry.studentName }}</td>
                                            {% for mark in entry.coList %}
                                                <td>{{ mark }}</td>
                                            {% endfor %}
                                            <td><b>{{ entry.totalMarks }}</b></td>
                                        </tr>
                                    {% endfor %}
                                    </tbody>
                                </table>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>

{% endblock %}